# Define if you want to build the sane backend (default)
%define sane_backend		1
%{?_with_sane:			%global sane_backend 1}
%{?_without_sane:		%global sane_backend 0}

%define hpip_major		0
%define hpip_libname		%mklibname hpip %{hpip_major}

%define sane_hpaio_major		1
%define sane_hpaio_libname	%mklibname sane-hpaio %{sane_hpaio_major}

# Suppress automatically generated Requires for devel packages
%define _requires_exceptions devel\(.*\)

##### GENERAL STUFF #####

#define extraversion -rc3
%define extraversion %nil

Summary:	HP printer/all-in-one driver infrastructure
Name:		hplip
Version:	2.7.7
Release:	%mkrel 8
License:	GPL/MIT/BSD
Group:		System/Printing

%define mdv2007 %(perl -e 'print ("%release" =~ /mdv/ ? 1 : 0)')

##### SOURCE FILES #####

Source: http://heanet.dl.sourceforge.net/sourceforge/hplip/%{name}-%{version}%{extraversion}.tar.gz

##### PATCHES #####

# Some HP PhotoSmart 7150 identify themselves as "hp photosmart 7150~"
Patch3: hplip-1.6.12-HP-PhotoSmart_7150tilde.patch

Patch11: hplip-2.7.6-14_charsign_fixes.patch

# Patch100: official patch

# fwang: Patch 101-108 from fedora
Patch101: hplip-2.7.6-libm.patch
Patch102: hplip-2.7.6-libsane.patch
Patch103: hplip-2.7.6-marker-supply.patch
Patch104: hplip-2.7.6-media-empty.patch
Patch105: hplip-2.7.6-no-root-config.patch
Patch106: hplip-2.7.6-quiet-startup.patch
Patch107: hplip-2.7.6-unload-traceback.patch
Patch108: hplip-2.7.7-desktop.patch

##### ADDITIONAL DEFINITIONS #####

Url:		http://hplip.sourceforge.net/
%if %{sane_backend}
BuildRequires:	libsane-devel, xsane
%endif
%py_requires -d
BuildRequires:	PyQt >= 3.13-2mdk, python-sip >= 4.1.1
BuildRequires:	net-snmp-devel
BuildRequires:	libusb-devel >= 0.1.8
BuildRequires:  ImageMagick
BuildRequires:  autoconf
BuildRequires:	libcups-devel
BuildRequires:	libjpeg-devel
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
Requires:	foomatic-filters, cups, PyQt >= 3.13-2mdk, python-sip >= 4.1.1
Requires:	hplip-model-data hplip-hpijs
# Needed for communicating with ethernet-connected printers
Requires:	net-snmp-mibs
# Needed to generate fax cover pages
Requires:	python-reportlab
%ifarch x86_64
Conflicts:	cups < 1.2.0-0.5361.0mdk
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description

This is the HP driver package to supply Linux support for most
Hewlett-Packard DeskJet, LaserJet, PSC, OfficeJet, and PhotoSmart
printers and all-in-one peripherals (also known as Multi-Function
Peripherals or MFPs), which can print, scan, copy, fax, and/or access
flash memory cards.

It is work in progress, but printing, scanning, memory card access,
ink/toner/battery/consumable level checking, and inkjet printer
maintenance are supported on most models, when either connected to the
USB or LAN (built-in interfaces or selected HP JetDirect models) on a
Linux workstation with CUPS printing system.

For status and consumable checking and also for inkjet maintenance
there is the graphical tool "hp-toolbox" available (Menu:
"System"/"Monitoring"/"HP Printer Toolbox").

##### SUB-PACKAGES #####

%package -n %{hpip_libname}
Summary: Dynamic library for the "hplip" HP printer/all-in-one drivers
Group: System/Printing

%description -n %{hpip_libname}
Library needed for the "hplip" HP printer/all-in-one drivers

%package -n %{hpip_libname}-devel
Summary: Headers and links to compile against the "%{hpip_libname}" ("hplip") library
Group: Development/C
Requires: %{hpip_libname} >= %{version}-%{release}
Provides: libhpip-devel = %{version}-%{release}

%description -n %{hpip_libname}-devel
This package contains all files which one needs to compile programs using
the "%{hpip_libname}" library.

%if %{sane_backend}
%package -n %{sane_hpaio_libname}
Summary: SANE driver for scanners in HP's multi-function devices (from HPLIP)
Group: System/Printing
Requires: sane-backends
%define _requires_exceptions devel(libcrypto)\\|devel(libdl)\\|devel(libhpip)\\|devel(libm)\\|devel(libsnmp)
%endif

%if %{sane_backend}
%description -n %{sane_hpaio_libname}
SANE driver for scanners in HP's multi-function devices (from HPLIP)
%endif

%if 0
%if %{sane_backend}
%package -n %{sane_hpaio_libname}-devel
Summary: Headers and links to compile against the "%{sane_hpaio_libname}" ("sane-hpaio") library
Group: Development/C
Requires: %{sane_hpaio_libname} >= %{version}-%{release}
Provides: libsane-hpaio-devel = %{version}-%{release}
%endif

%if %{sane_backend}
%description -n %{sane_hpaio_libname}-devel
This package contains all files which one needs to compile programs using
the "%{sane_hpaio_libname}" library.
%endif
%endif

%package model-data
Summary: Data file listing the HP printer models supported by HPLIP
Group: System/Printing

%description model-data
HPLIP supports most current HP printers and multifunction devices, but
there are some older models not supported. This package contains the
list of supported models. Printerdrake installs it automatically to
determine whether HPLIP has to be installed or not.

%package hpijs
Summary: HPs printer driver IJS plug-in for GhostScript
Group: System/Printing
Requires: ghostscript
Provides: hpijs
Conflicts: printer-filters < 10.2
Conflicts: hplip <= 1.6.7-1mdv2007.0

%description hpijs

HPs printer driver IJS plug-in for GhostScript. This driver gives full
printing support for nearly all non-PostScript inkjet and laser
printers made by HP.

%package hpijs-ppds
Summary: PPD files for the HPIJS printer driver
Group: System/Printing
Requires: foomatic-filters, hplip-hpijs

%description hpijs-ppds

PPD files to use the HPIJS printer driver with foomatic-rip and a
printer spooler like CUPS, LPRng, PDQ, ...

%package doc
Summary:	Documentation for HPLIP
Group:		System/Printing

%description doc
This package contains documentation for the HPLIP driver.

This is the HP driver package to supply Linux support for most
Hewlett-Packard DeskJet, LaserJet, PSC, OfficeJet, and PhotoSmart
printers and all-in-one peripherals (also known as Multi-Function
Peripherals or MFPs), which can print, scan, copy, fax, and/or access
flash memory cards.

##### PREP #####

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}%{extraversion}
%setup -q -n %{name}-%{version}%{extraversion}

# Some HP PhotoSmart 7150 identify themselves as "hp photosmart 7150~"
%patch3 -p1 -b .hpps7150

%patch11 -p1 -b .14charsign

# apply fedora patches
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1

# fix for gentoo bug#161926, to be fixed in upstream 2.7.7
sed -i -e "s:if (!localOnly):if (1):" scan/sane/hpaio.c

# Make all files in the source user-writable
chmod -R u+w .

##### BUILD #####

%build
%serverbuild

aclocal
autoconf
%if !%{sane_backend}
WITHOUT_SANE="--without-sane"
%endif
%configure2_5x $WITHOUT_SANE --disable-foomatic-xml-install

%make

# convert icons to required sizes
convert data/images/print.png -resize 16x16 %{name}.mini.png
convert data/images/print.png -resize 32x32 %{name}.png
convert data/images/print.png -resize 48x48 %{name}.large.png

##### INSTALL #####

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_sysconfdir}/hp
mkdir -p %{buildroot}/var/run/hplip

# Do not use the macro here, use the standard DESTDIR method as it works
# with HPLIP, in contrary to the non-standard Mandriva method
#make test-destdir DESTDIR=%{buildroot}
make install DESTDIR=%{buildroot}

# Install files which the "make install" missed to install
install -m 644 ip/hpip.h %{buildroot}%{_includedir}
install -m 644 ip/xform.h %{buildroot}%{_includedir}

# Move doc in sub-package
mv %{buildroot}%{_docdir}/%{name}-%{version}%{extraversion} %{buildroot}%{_docdir}/%{name}-doc-%{version}%{extraversion}

# Remove static libraries of SANE driver
rm -f %{buildroot}%{_libdir}/sane/libsane-hpaio*.so
rm -f %{buildroot}%{_libdir}/sane/libsane-hpaio*.la
rm -f %{buildroot}%{_sysconfdir}/sane.d/dll.conf

# Remove other unneeded files
rm -f %{buildroot}%{py_platsitedir}/*.la

# install menu icons
mkdir -p %{buildroot}%{_iconsdir}/locolor/16x16/apps/
install -m 644 %{name}.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 %{name}.mini.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m 644 %{name}.large.png -D %{buildroot}%{_liconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor='' \
	--dir=%{buildroot}%{_datadir}/applications \
	--remove-category='Application' \
	--remove-category='Utility' \
	--add-category='System' \
	--add-category='Settings' \
	--add-category='Printing' \
        --add-category='Qt' \
        --add-category='HardwareSettings' \
        --add-category='X-MandrivaLinux-CrossDesktop' \
	%{buildroot}%{_datadir}/applications/hplip.desktop

cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-hp-sendfax.desktop << EOF
[Desktop Entry]
Name=HP Sendfax
Comment=Utility for sending faxes with HP's multi-function devices
Exec=%{_bindir}/hp-sendfax
Icon=%{name}.png
Terminal=false
Type=Application
Categories=TelephonyTools;Utility;
EOF


##### PRE/POST INSTALL SCRIPTS #####

%triggerin -- hplip < 2.7.7
chkconfig --del hplip

%post
# Menu update
%{update_menus}
# Restart CUPS to make the Fax PPD known to it
/sbin/service cups condrestart > /dev/null 2>/dev/null || :

%post -n hplip-hpijs-ppds
# Restart CUPS to make the printing PPDs known to it
/sbin/service cups condrestart > /dev/null 2>/dev/null || :

# Reload the library lists when installing shared libraries
%post -n %{hpip_libname} -p /sbin/ldconfig

%if %{sane_backend}
%post -n %{sane_hpaio_libname}
/sbin/ldconfig
# Add HPLIP driver to /etc/sane.d/dll.conf
if ! grep ^hpaio /etc/sane.d/dll.conf >/dev/null 2>/dev/null ; then \
	echo hpaio >> /etc/sane.d/dll.conf; \
fi
%endif

%if %{sane_backend}
%preun -n %{sane_hpaio_libname}
# Remove HPLIP driver from /etc/sane.d/dll.conf
if [ "$1" = 0 ]; then \
	if grep ^hpaio /etc/sane.d/dll.conf >/dev/null 2>/dev/null ; then \
		sed '/hpaio/d' /etc/sane.d/dll.conf > /tmp/$$; \
		cp -f /tmp/$$ /etc/sane.d/dll.conf; \
		rm -f /tmp/$$; \
	fi; \
fi
%endif

%postun
## Menu update
%{update_menus}
# Restart CUPS to make the removal of the Fax PPD known to it
/sbin/service cups condrestart > /dev/null 2>/dev/null || :

%postun -n hplip-hpijs-ppds
# Restart CUPS to make the removal of the printing PPDs known to it
/sbin/service cups condrestart > /dev/null 2>/dev/null || :

# Reload the library lists when uninstalling shared libraries
%postun -n %{hpip_libname} -p /sbin/ldconfig

%if %{sane_backend}
%postun -n %{sane_hpaio_libname}
/sbin/ldconfig
%endif


##### CLEAN UP #####

%clean
rm -rf %{buildroot}


##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### hplip
%files
%defattr(-,root,root)
#doc COPYING doc/*
%config(noreplace) %{_sysconfdir}/hp
%config(noreplace) %{_sysconfdir}/udev/rules.d/55-hpmud.rules
%dir /var/run/hplip/
%{_bindir}/hp-*
%{_datadir}/hplip/[A-Za-c_]*
%{_datadir}/hplip/data/*
%exclude %{_datadir}/hplip/data/models
%{_datadir}/hplip/[e-z]*
# C libraries for Python
%{_libdir}/python*/*/*.so*
# CUPS backends (0700 permissions, so that CUPS 1.2 runs these backends
# as root)
%attr(0700,root,root) %{_prefix}/lib*/cups/backend/hp*
# menu entry
%{_iconsdir}/*.png
%{_iconsdir}/*/*.png
%{_datadir}/applications/*

%files doc
%defattr(-,root,root)
%doc %{_docdir}/%{name}-doc-%{version}%{extraversion}

##### %{hpip_libname}
%files -n %{hpip_libname}
%defattr(-,root,root)
%{_libdir}/libhpip*.so.*
%{_libdir}/libhpmud.so.*

##### %{hpip_libname}-devel
%files -n %{hpip_libname}-devel
%defattr(-,root,root)
%{_includedir}/hpip.h
%{_includedir}/xform.h
%{_libdir}/libhpip*.so
%{_libdir}/libhpip*.la
%{_libdir}/libhpmud.so
%{_libdir}/libhpmud.la

%if %{sane_backend}

##### %{sane_hpaio_libname}
%files -n %{sane_hpaio_libname}
%defattr(-,root,root)
%{_libdir}/sane/libsane-hpaio*.so.*

%if 0
##### %{sane_hpaio_libname}-devel
%files -n %{sane_hpaio_libname}-devel
%defattr(-,root,root)
#%{_libdir}/libsane-hpaio*.so
#%{_libdir}/libsane-hpaio*.a
#%{_libdir}/libsane-hpaio*.la
#%{_libdir}/sane/libsane-hpaio*.so
#%{_libdir}/sane/libsane-hpaio*.a
#%{_libdir}/sane/libsane-hpaio*.la
%endif

%endif

##### model-data
%files model-data
%defattr(-,root,root)
%{_datadir}/hplip/data/models

##### hpijs
%files hpijs
%defattr(-,root,root)
%{_bindir}/hpijs
# Needed for both printing and fax PPDs. They all need HPIJS, therefore
# the link is here
%dir %{_datadir}/ppd
%dir %{_datadir}/ppd/HP

##### hpijs-ppds
%files hpijs-ppds
%defattr(-,root,root)
%{_datadir}/ppd/HP/*.ppd*


%changelog
* Wed Sep 19 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.7.7-8mdv2008.0
+ Revision: 90111
- Fix menu categories (Bug #33079)

* Wed Sep 12 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.7.7-7mdv2008.0
+ Revision: 84647
- Cleanup old initscript when upgrading from an old package. Closes: #32398

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Wed Aug 22 2007 Oden Eriksson <oeriksson@mandriva.com> 2.7.7-6mdv2008.0
+ Revision: 68945
- ehh, i meant System/Printing :)
- fix deps sip/python-sip
- use the new System/Printers RPM GROUP

* Wed Aug 08 2007 Oden Eriksson <oeriksson@mandriva.com> 2.7.7-5mdv2008.0
+ Revision: 60202
- rebuilt against new net-snmp libs

* Wed Aug 08 2007 Funda Wang <fundawang@mandriva.org> 2.7.7-4mdv2008.0
+ Revision: 60116
- BR desktop-file-utils
- Add desktop file patch from fedora
- use hplip's own desktop file

* Wed Aug 08 2007 Funda Wang <fundawang@mandriva.org> 2.7.7-3mdv2008.0
+ Revision: 60079
- No more hardware category (bug#32383)
- fix typo
- add more appropriate desktop entry category

* Sat Aug 04 2007 Funda Wang <fundawang@mandriva.org> 2.7.7-1mdv2008.0
+ Revision: 58934
- New version 2.7.7

* Wed Jul 25 2007 Funda Wang <fundawang@mandriva.org> 2.7.6-1mdv2008.0
+ Revision: 55449
- Add gentoo fix for gentoobug#161926, to be fixed in upstream 2.7.7
- fix desktop entry categories
- no more service
- fix file list
- kill old menu
- Merge fedora patches
- Rediff patch11
- add official patch
- New version

* Wed Jun 20 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.7.4a-2mdv2008.0
+ Revision: 41898
- Use py_requires macro.

* Sun May 13 2007 Funda Wang <fundawang@mandriva.org> 1mdv2008.0-current
+ Revision: 26583
- remove python sitepackages la files
- New upstream version


* Tue Jan 30 2007 Olivier Blin <oblin@mandriva.com> 1.6.12-2mdv2007.0
+ Revision: 115330
- move doc in subpackage

* Tue Jan 23 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.6.12-1mdv2007.1
+ Revision: 112622
- New upstream: 1.6.12
- Rediff hplip-1.6.12-HP-PhotoSmart_7150tilde.patch and
  hplip-1.6.12-14_charsign_fixes.patch due to data file format
  change.

* Thu Dec 14 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.6.10-1mdv2007.1
+ Revision: 96768
- Fix python macro
- Add sources
- New Version 1.6.10
- Import hplip

* Tue Sep 19 2006 Till Kamppeter <till@mandriva.com> 1.6.9-1mdv2007.0
- Updated to version 1.6.9 final (Added support for HP PhotoSmart A310,
  C5100, C6100, C7100, D5100, D5060, and B8300 series printers, many
  bug fixes, especially on faxing and on documentation).

* Thu Sep 14 2006 Till Kamppeter <till@mandriva.com> 1.6.9-0.1mdv2007.0
- Updated to version 1.6.9-rc3.

* Sat Aug 05 2006 Till Kamppeter <till@mandriva.com> 1.6.7-2mdv2007.0
- /usr/bin/hpijs was included twice, fixed (bug 24111).

* Fri Aug 04 2006 Till Kamppeter <till@mandriva.com> 1.6.7-1mdv2007.0
- Updated to version 1.6.7 (Improved auto-assosiation of PPD files to detected
  printers and faxes by the web interface of CUPS 1.2; static IP ports for the
  daemons; tons of bug fixes; new printers models: HP Photosmart D6100 and 
  D7100).

* Sat Jul 01 2006 Till Kamppeter <till@mandriva.com> 1.6.6-4mdv2007.0
- Uncompressed patches.

* Thu Jun 29 2006 Till Kamppeter <till@mandriva.com> 1.6.6-3mdk
- Updated to version 1.6.6a (Bug fixes, should make fax really usable
  again).

* Sat Jun 24 2006 Till Kamppeter <till@mandriva.com> 1.6.6-2mdk
- Updated to version 1.6.6a.2 (Bug fixes, mainly for fax).

* Sat Jun 17 2006 Till Kamppeter <till@mandriva.com> 1.6.6-1mdk
- Updated to version 1.6.6 (Adaption of the CUPS backends to CUPS 1.2.x,
  improvements on faxing, several scanning bug fixes, several other bug
  fixes, new printer models: HP Deskjet D4100, D2300, D1360 series,
  Photosmart A430, A510, A710, A610, C4100, C3100, D7300 series).
- Removed patch 18 (merged upstream).

* Thu May 25 2006 Till Kamppeter <till@mandriva.com> 0.9.11-4mdk
- Added menu entry for hp-sendfax (with current HPLIP hp-sendfax does
  not pop up automatically any more when sending faxes).

* Mon May 15 2006 Till Kamppeter <till@mandriva.com> 0.9.11-3mdk
- Fixed bug which made Duplex not working any more in HPLIP 0.9.9
  (patch 18, contains this fix and also the fix of May 11).

* Fri May 12 2006 Till Kamppeter <till@mandriva.com> 0.9.11-2mdk
- Fixed problem of HP PSC 950 series printers not being correctly
  recognized.

* Thu May 11 2006 Till Kamppeter <till@mandriva.com> 0.9.11-1mdk
- Updated to version 0.9.11 (Changes on "hp-sendfax", revamped
  mail notification, many bug fixes, new models: LaserJet 5200,
  LaserJet 5200L, Color LaserJet 2605, Officejet 6300 series,
  Officejet 4300 series).
- Replaced "BuildRequires: sip-devel PyQt-devel" by
  "BuildRequires: sip PyQt" as the sip and PyQt packages were
  restructured.

* Wed Apr 05 2006 Till Kamppeter <till@mandriva.com> 0.9.10-2mdk
- Moved CUPS backend directory from /usr/lib64/cups/backend to
  /usr/lib/cups/backend on 64-bit systems.

* Wed Mar 29 2006 Till Kamppeter <till@mandriva.com> 0.9.10-1mdk
- Updated to version 0.9.10 (Bugfix release).
- Let CUPS be restarted when sub-packages with PPD files are added or
  removed.

* Mon Mar 13 2006 Till Kamppeter <till@mandriva.com> 0.9.9-1mdk
- Updated to version 0.9.9 (Device communication via libusb, USB 1284.4
  support for many laser printers, dropped use of USB device file mames
  in CUPS/SANE URIs, updated PPD files for CUPS 1.2 compatibility, moved 
  temp fax .g3 files to ~/hpfax/hpfax-<jobid>.g3, page counting for fax,
  fullbleed fix, support for HP DeskJet F300 Series All-in-one, bug fixes).

* Sat Feb 25 2006 Till Kamppeter <till@mandriva.com> 0.9.8-4mdk
- Applied official bugfix patch 0.9.8-4 from HP (In addition to the
  fixes of the previous patch an array index underflow in the driver
  for the FastRaster device class (LaserJet 1010/1012) is fixed).
- Removed patch 4 (probably fixed upstream).

* Tue Feb 07 2006 Till Kamppeter <till@mandriva.com> 0.9.8-3mdk
- Applied official bugfix patch 0.9.8-3 from HP (Fixed an extraneous
  "r-value (1) error" message, which can occur while launching HPLIP
  utilities with inkjets, reported by Henrique de Moraes Holschuh from
  Debian).

* Thu Feb 02 2006 Till Kamppeter <till@mandriva.com> 0.9.8-2mdk
- Apply 0700 permissions to the CUPS backends, so that CUPS 1.2 runs them
  as root.
- Make the CUPS backends being installed in %%{_libdir} so that they go
  into /usr/lib64/cups/backend on 64-bit systems.
- Introduced %%mkrel.

* Wed Feb 01 2006 Till Kamppeter <till@mandriva.com> 0.9.8-1mdk
- Updated to version 0.9.8 (PC send fax support, HP Setup utility, 
  enhanced the status history table in hp-info, added support for
  HP Color LaserJet 2605, LaserJet 3050, 3060, 3062, 3390, 3392,
  Deskjet 6980 series, 6940 series, lots of bug fixes).
- Removed patch 16 (merged upstream).
- Added "Requires: python-reportlab" as this package is needed to
  generate fax cover pages.

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-5mdk
- rebuilt against new net-snmp with new major (10)

* Wed Dec 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-4mdk
- rebuilt against net-snmp that has new major (9)

* Thu Dec 08 2005 Till Kamppeter <till@mandriva.com> 0.9.7-3mdk
- Rebuilt because 0.9.7-2mdk was not cleanly uploaded.

* Wed Dec 07 2005 Till Kamppeter <till@mandriva.com> 0.9.7-2mdk
- Applied official bugfix patch 0.9.7-2 from HP (Fixed Photosmart 2570 
  series blue screen scanning error, device status in hpiod, SuperB margin 
  issue with OfficeJet K550, K850, and DeskJet 9800).

* Tue Nov 22 2005 Till Kamppeter <till@mandriva.com> 0.9.7-1mdk
- Updated to version 0.9.7 (Reverted buggy change on duplex printing in 
  0.9.6, better parallel device support, faster startup of the toolbox,
  hp-makeuri works with host names now, support for motorized photo paper
  tray, new models: HP Color LaserJet 3000, 3600, 3800).

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-2mdk
- rebuilt against openssl-0.9.8a

* Sun Oct 16 2005 Till Kamppeter <till@mandriva.com> 0.9.6-1mdk
- Updated to version 0.9.6 (Design changes and bug fixes in the hp-toolbox;
  prepared HPLIP to run as a non-root user; bug fixes in HPIJS, especially
  full-bleed and duplex; new models supported: HP Color LaserJet 4730 MFP,
  Deskjet 460, Officejet Pro K550, and K850).
- Removed patches 5, 8, 9, 10, 12, 13, and 14 (merged upstream).

* Sat Sep 17 2005 Till Kamppeter <till@mandriva.com> 0.9.5-1mdk
- Updated to version 0.9.5 (Parallel port device support, tons of
  bug fixes, fixed 4-edge full-bleed upstream, added support for
  HP PhotoSmart 420, 470, 2570, 3100, 3200, 3300, 7800, 8000, DeskJet
  5440, 5940, OfficeJet 5600, PSC 1400, Color LaserJet 4700).
- Included official patch from HP (patch 8).
- Applied Debian/Ubuntu patches (patches 9-15).
- Rediffed patch 5 to not conflict with the Debian/Ubuntu patches.
- Removed patches 6 and 7 (merged upstream).

* Sat Sep 10 2005 Till Kamppeter <till@mandriva.com> 0.9.4-6mdk
- Fixed full-bleed on Letter, A4 or bigger paper (patch 7).
- Let the HPLIP toolbox start the browser to access the web interface
  of a LAN printer in the background, so that one can still work in
  the toolbox while the browser is open (patch 6).

* Fri Sep 09 2005 Till Kamppeter <till@mandriva.com> 0.9.4-5mdk
- Removed "su" from statup script, it can break things in certain cases
  (patch 5).

* Thu Sep 08 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.9.4-4mdk
- 64-bit fixes

* Wed Aug 31 2005 Till Kamppeter <till@mandriva.com> 0.9.4-3mdk
- Updated package summary and description.

* Wed Aug 31 2005 Till Kamppeter <till@mandriva.com> 0.9.4-2mdk
- Some HP PhotoSmart 7150 identify themselves as "hp photosmart 7150~",
  applied patch 3 as workaround (bug 16514).

* Wed Jul 27 2005 Till Kamppeter <till@mandrakesoft.com> 0.9.4-1mdk
- Updated to version 0.9.3 (Added support for HP Color LaserJet 2800, HP 
  Photosmart 8200, HP Photosmart 330, HP Photosmart 380, Deskjet 1280, 
  Deskjet 3040, Deskjet 3920, tons of bug fixes: 4-edge full-bleed 
  printing on postcard-sized PhotoSmarts, 64-bit issues, unidirectional
  printing, info querying, added some older HP devices which work with
  HPIJS/HPLIP to the models.xml file, and more).

* Wed May 18 2005 Till Kamppeter <till@mandrakesoft.com> 0.9.3-1mdk
- Updated to version 0.9.3 (4-edge full-bleed on all paper sizes should 
  now work on all appropriate models!! Fixes for HP LaserJet 1010, 1012,
  1015, 1022, 4050, DeskJet 1220C, OfficeJet K80xi, V40, 7200, 7300, 7400,
  margin correction on many recent DeskJets, fixed errors on "hp-probe -s*"
  and on accessing photo cards when no card is inserted, many other fixes).

* Wed Apr 20 2005 Till Kamppeter <till@mandrakesoft.com> 0.9.2-1mdk
- Updated to version 0.9.2 (Again tons of bug fixes, especially
  toner level and LCD contents display for network laser, simplified
  architecture of the Toolbox, new "FastDraft Grayscale" printout
  quality setting).
- Removed patch 2 (merged upstream).
- Commenting out "setSizePolicy" not needed any more, fixed upstream.

* Tue Apr 12 2005 Till Kamppeter <till@mandrakesoft.com> 0.9.1-2mdk
- Let /usr/bin/hp-* links be generated so that HPLIP tools can be easily
  accessed.

* Tue Apr 05 2005 Till Kamppeter <till@mandrakesoft.com> 0.9.1-1mdk
- Updated to version 0.9.1 (Again tons of bug fixes, especially a possible
  fix for bugs 13675 and 14179, ink level and status display fixes for
  several models, lockup fix for HP DeskJet 450, fixed missing support
  for OfficeJet 5110, support for new printer models: HP LaserJet 4240,
  HP LaserJet 9040, hp color LaserJet 4610, HP LaserJet 1022, HP Business
  Inkjet 1000).
- Fixed battery level check for HP DeskJet 450 (patch 2, toolbox would
  make hpssd crashing when HP DeskJet 450 is connected and this patch
  not applied.

* Fri Apr 01 2005 Till Kamppeter <till@mandrakesoft.com> 0.9-2mdk
- Added support for HP PSC 750xi.

* Thu Mar 31 2005 Till Kamppeter <till@mandrakesoft.com> 0.9-1mdk
- Updated to version 0.9 (Tons of bug fixes, should fix bugs 14179, 13675, 
  and 13671; Support for HP LaserJet 1010, 1012, HP Color LaserJet 35xx;
  status and toner level reporting for laser printers).
- Commented out all "setSizePolicy" calls in the .py files, this function 
  is incompatible with current PyQT/SIP (bug 13315).
- Removed patch 0 (merged upstream).

* Mon Mar 07 2005 Till Kamppeter <till@mandrakesoft.com> 0.8.8-5mdk
- Rebuilt for SIP 4.2.1 and PyQt 3.14.

* Mon Feb 14 2005 Till Kamppeter <till@mandrakesoft.com> 0.8.8-4mdk
- Added "Requires: net-snmp-mibs", otherwise communicating with ethernet-
  connected printers does not work.

* Thu Feb 10 2005 Till Kamppeter <till@mandrakesoft.com> 0.8.8-3mdk
- Corrected shutdown priority in startup script to be after CUPS.

* Thu Feb 10 2005 Till Kamppeter <till@mandrakesoft.com> 0.8.8-2mdk
- Let SNMP stuff really getting built (patch0).
- Correct priority in startup script so that the daemons get started
  before CUPS.

* Wed Feb 09 2005 Till Kamppeter <till@mandrakesoft.com> 0.8.8-1mdk
- Updated to version 0.8.8.

* Mon Feb 07 2005 Till Kamppeter <till@mandrakesoft.com> 0.8.7-4mdk
- Put XML file with list of supported models into extra package, so that
  printerdrake can install only this and then determine whether to install
  HPLIP.

* Fri Feb 04 2005 Till Kamppeter <till@mandrakesoft.com> 0.8.7-3mdk
- Added "Provides: hpijs" to hplip-hpijs package.
- Versioned conflict for hplip-hpijs package:
  "Conflicts: printer-filters < 10.2".

* Tue Feb 01 2005 Till Kamppeter <till@mandrakesoft.com> 0.8.7-2mdk
- Rebuilt with dependency on sip 4.1.1 or newer. With older sip PyQt
  GUIs segfault.

* Fri Jan 21 2005 Till Kamppeter <till@mandrakesoft.com> 0.8.7-1mdk
- Initial Mandrakelinux release.

